# $Revision: 1.49 $, $Date: 2002/01/17 05:04:31 $
Summary:	Advanced Linux Sound Architecture (ALSA) - Library
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Biblioteka
Summary(ru):	 API     ALSA
Summary(uk):	̦ API     ALSA
Name:		alsa-lib
Version:	0.5.10b
Release:	2
License:	GPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}.tar.bz2
Source1:	http://www.alsa-project.org/~perex/alsa-lib/%{name}.tgz
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-driver-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	flex
BuildConflicts:	alsa-lib <= 0.4.0
Obsoletes:	alsa-libs
ExcludeArch:	sparc
ExcludeArch:	sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc

%description
Advanced Linux Sound Architecture (ALSA) - Library

Features ========
- general
  - modularized architecture with support for 2.2
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
- ISA soundcards
  - support for 128k ISA DMA buffer
- mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and
    decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
- digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
- OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%description -l pl
Advanced Linux Sound Architecture (ALSA) - Biblioteka

Nowinki =======
- generalne
  - zmodularyzowana architektura ze wsparciem dla kerneli 2.2
  - pene wsparcie dla systemu plikw proc - /proc/sound
- karty dwikowe ISA
  - wsparcie dla buforu 128k ISA DMA
- mikser
  - nowe rozszerzone API dla aplikacji
  - wsparcie dla nielimitowanej liczby kanaw
  - gono moe by ustawiana na trzy rne sposoby (procentowo
    (0-100), liniowo oraz w skali decybelowej)
  - wsparcie dla mute (oraz dla sprztowego mute)
  - wsparcie dla zdarze miksera
    - to pozwala dwum lub wikszej liczbie aplikacji si synchronizowac
- cyfrowe audio (PCM)
  - nowe rozszerzone API dla aplikacji
  - pene realne wsparcie dla trybu duplex
  - dane cyfrowego dwiku dla odtwarzania i nagrywania powinny by
    odczytywane poprzez system plikw /proc
- kompatybilno z OSS/Lite
  - pena kompatybilno miksera
  - pena kompatybilno PCM (/dev/dsp)

%description -l ru
 API     ALSA.

%description -l uk
̦ API     ALSA.

%package devel
Summary:	Advanced Linux Sound Architecture (ALSA) - header files
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - pliki nagwkowe
Summary(ru):	 API     ALSA -  
Summary(uk):	̦ API     ALSA -  ͦ
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}
Requires:	alsa-driver-devel
Obsoletes:	alsa-lib-devel-doc
Obsoletes:	alsa-devel
 
%description devel
Advanced Linux Sound Architecture (ALSA) - header files.

%description -l pl devel
Advanced Linux Sound Architecture (ALSA) - pliki nagwkowe.

%description -l ru devel
      API   
 ALSA.

%description -l uk devel
̦ ͦ    ¦̦ API   
 ALSA.

%package static
Summary:	Advanced Linux Sound Architecture (ALSA) - Static library
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Biblioteka statyczna
Summary(ru):	  API     ALSA
Summary(uk):	 ¦̦ API     ALSA
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Advanced Linux Sound Architecture (ALSA) - Static library.

%description -l pl static
Advanced Linux Sound Architecture (ALSA) - Biblioteka statyczna.

%description -l ru static
  API     ALSA.

%description -l uk static
 ¦̦ API     ALSA.

%prep
%setup -q -a1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog

%post  -p /sbin/ldconfig
%preun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz *.html *.gif
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_aclocaldir}/alsa.m4
%{_includedir}/sys/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: alsa-lib.spec,v $
Revision 1.49  2002/01/17 05:04:31  kloczek
- release 2: merge translations from KSI.

Revision 1.48  2001/09/17 10:31:20  blues
- added alsa-devel to obsoletes in devel package

Revision 1.47  2001/08/05 11:45:15  aflinta
 - change from configure to configure2_13

Revision 1.46  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.45  2001/06/16 14:09:11  kloczek
- updated to 0.5.10b.

Revision 1.44  2001/06/15 15:49:37  baggins
- back to 0.5.10

Revision 1.43  2001/05/03 09:45:47  waszi
- updated to 0.9.0beta3

Revision 1.42  2001/02/11 22:48:42  kloczek
- release 3.

Revision 1.41  2001/02/11 11:35:12  misiek
alsa-lib-devel and alsa-lib-devel-doc merged

Revision 1.40  2001/01/19 01:51:42  kloczek
- release 2,
- removed automake, autoconf, libtool from BuildRequires.

Revision 1.39  2000/12/07 17:08:43  kloczek
- updated to 0.5.10.

Revision 1.38  2000/10/27 00:30:07  kloczek
- added alsa-driver-devel Requires rule for devel.

Revision 1.37  2000/10/23 02:28:48  kloczek
- release 5: added alsa-driver-devel to BuildRequires list.

Revision 1.36  2000/10/01 00:09:02  kloczek
- release 4: adapterized and added using rpm new automation suit.

Revision 1.35  2000/08/08 19:19:18  kloczek
- adapterized.

Revision 1.34  2000/08/07 13:41:39  wrobell
- version 0.5.9

Revision 1.33  2000/07/13 23:04:28  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.32  2000/07/13 20:35:29  baggins
- release 2

Revision 1.31  2000/06/20 07:55:59  wiget
0.5.8

Revision 1.30  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.29  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.27  2000/04/06 23:37:09  kloczek
- updated to 0.5.7.

Revision 1.26  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.24  2000/03/15 19:56:05  kloczek
- typo in pl trabslation,
- fixed %doc file list.

Revision 1.23  2000/03/15 19:36:02  kloczek
- rewmoved Prereq: /sbin/depmod, /sbin/ldconfig, /sbin/chkconfig,
- /sbin/ldconfig is now runed as -p parameter in %post, %postun,
- fixed shared library name.

Revision 1.22  2000/03/15 19:02:36  kloczek
- updated to 0.5.6.

Revision 1.21  2000/03/02 18:46:39  wiget
- updated to 0.5.5

Revision 1.20  2000/02/16 23:48:59  wiget
0.5.3

Revision 1.19  2000/02/16 16:33:19  baggins
- typos

Revision 1.18  2000/02/16 13:55:44  baggins
- one big alsa.spec split into smaller parts

Revision 1.27  2000/02/07 18:28:47  baggins
- added kernelversion patch for dealing with EXTRAVERSION
- added -smp package
- rewritten %post/%pre scripts

Revision 1.26  2000/02/07 09:04:54  waszi
- updated to 0.5.2

Revision 1.25  2000/02/01 23:13:19  alchemyx
- added one more BuildRequires

Revision 1.24  2000/02/01 21:22:12  alchemyx
- more Buildrequires

Revision 1.23  2000/01/31 19:31:49  baggins
- updated to 0.5.1a

Revision 1.22  2000/01/22 21:01:40  wiget
0.5.1

Revision 1.21  2000/01/20 23:53:13  kloczek
- more using %%configure macro (all binaries are stripped),
- beter passing LDFLAGS="-s".

Revision 1.20  2000/01/20 20:18:40  wiget
- some changes for 0.5.0 libs

Revision 1.19  2000/01/20 18:36:30  wiget
- removed xamixer and other X stuff (removed from tarball)

Revision 1.18  2000/01/20 18:31:12  kloczek
- updated to 0.5.0.

Revision 1.17  1999/12/22 04:20:29  wiget
- ExcludeArch: sparc sparc64

Revision 1.16  1999/12/21 10:48:25  wiget
- release 3

Revision 1.15  1999/12/20 15:52:05  wiget
- alsa-driver 0.4.1i

Revision 1.14  1999/12/19 18:33:25  wiget
- fix some typos

Revision 1.13  1999/12/15 22:45:13  wiget
- updated to alsa-driver-0.4.1h and alsa-lib-0.4.1e

Revision 1.12  1999/10/13 11:28:49  pius
- added --disable-gtktest to alsa-util configure options

Revision 1.11  1999/09/02 08:16:25  wiget
- BuildConflicts: alsa-lib

Revision 1.10  1999/09/02 07:44:21  wiget
- Obsoletes: alsa-lib

Revision 1.9  1999/09/02 06:28:56  wiget
- added patches to compile from one spec
- disabled isapnp support (broken, waiting for patches)

Revision 1.8  1999/08/31 13:09:12  misiek
- updated to 0.4.1 (but not tested)

Revision 1.7  1999/08/20 11:19:10  wiget
- fixed Requires

Revision 1.6  1999/08/20 09:25:59  wiget
- typo

Revision 1.5  1999/08/20 08:58:19  wiget
- last fix for all-in-one (I hope).

Revision 1.4  1999/08/20 07:13:42  wiget
- fixe for compiling from one src.rpm

Revision 1.3  1999/08/19 12:31:40  wiget
- cut changelog

* Thu Aug 19 1999 PLD Team <pld-list@pld.org.pl>
  [0.4.0-2]
- based on alsa-driver.spec, alsa-lib.spec and alsa-utils.spec
  made by:
  Arkadiusz Mikiewicz <misiek@pld.org.pl>
  Piotr Czerwiski <pius@pld.org.pl>
  Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  Jan Rkojaski <baggins@pld.org.pl>
  Artur Frysiak <wiget@pld.org.pl>
